Skip to main content
POST
Chat Streaming

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenant
string | null
required

The domain of the customer

Example:

"example.com"

Body

application/json
message
string
required

The message to be sent to the assistant

agent_id
string | null

The id of the agent to scope this chat request

conversation_id
string | null

The conversation ID of the chat message.
If not provided a new conversation will be created.

library_id
string | null
deprecated

Use library_ids field, answer the question in the context of the library

library_ids
string[] | null

Answer the question in the context of these libraries

document_id
string | null
deprecated

DEPRECATED: use document_ids field, answer the question in the context of the document

document_ids
string[] | null

Answer the question in the context of these documents

view_id
string | null

Answer the question in the context of the view

filters
Filters · object

These filters limit which documents are considered as sources during the answer generation.

timezone
integer
default:0

Timezone of the user. If is not provided we use UTC timezone.
We use this information to accurately interpret time-related queries.
Format: offset from UTC, in minutes

read_only
boolean
default:false

Disable tools that can modify documents for this request

Response

Successful Response